Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryElseStatementRule

- groovy.org.codenarc.rule.unnecessary.UnnecessaryElseStatementRule

- When an if statement block ends with a return statement the else is unnecessary

  Authors:
    Victor Savkin

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority